<?PHP

class emailform extends engine{

	var $call_class = array('Email');

	function check_required(){

		$this->validate(array('EditableTextField1', 'EditableEmailField2' => 'email', 'EditableTextField3'), array($this->Language('*Required'), 'EditableEmailField2' => $this->Language('*Wrong email type')));
	}

	function send_email($var){

		$this->Email->SendEmail($var[0], $var[1], $_POST['EditableTextField1'], $_POST['EditableEmailField2'], $this->Language($var[2]), $_POST['EditableTextField3']);
		$this->message('email_sent', 'Email sent');
	}
}


?>